Bug 98315 - Function Wizard showing Breeze icons when in Sifr theme
Summary: Function Wizard showing Breeze icons when in Sifr theme
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium minor
Assignee: Papamatti
QA Contact:
URL:
Whiteboard: target:5.4.1 target:6.0.0 target:5.4....
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Function-Wizard
  Show dependency treegraph
 
Reported: 2016-03-01 18:20 UTC by Grey
Modified: 2017-10-05 20:31 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Function Wizard dialog (32.62 KB, image/jpeg)
2016-03-02 07:59 UTC, Grey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Grey 2016-03-01 18:20:05 UTC
The new default Breeze UI in Release 5 is far too light for my eyes so I switched back to the old default Sifr. Unfortunately the Breeze interface still remains in the Function Wizard dialogs. Switching to another UI theme (such as Tango) changes the FW Function buttons to the older, heavier style, but switching back to Sifr always dresses the FW Fx buttons with the ultra-light Breeze-style.

Thank you.
Comment 1 Grey 2016-03-02 07:59:49 UTC
Created attachment 123140 [details]
Function Wizard dialog
Comment 2 Buovjaga 2016-03-21 19:22:36 UTC
Is the problem still in 5.1.1?
Comment 3 Alex Thurgood 2016-06-13 15:02:19 UTC
Confirming also on :

Version: 5.3.0.0.alpha0+
Build ID: 4d49c9601c9b3e26a336e08e057d299895683480
Threads CPU : 2; Version de l'OS :Mac OS X 10.11.5; UI Render : par défaut; 
Locale : fr-FR (fr.UTF-8)
Comment 4 Grey 2017-05-24 15:51:53 UTC
I am the original submitter of this bug. As requested by the QA team, I tested LO 5.2.7.2, Build 2b7f1e640c46ceb28adf43ee075a6e8b8439ed10, OS X 10.9.5.

Unfortunately, the bug still exists.

Thank you.
Comment 5 Yousuf Philips (jay) 2017-05-28 15:01:10 UTC
This happens as missing Sifr icons will show the Breeze equivalents.
Comment 6 Papamatti 2017-08-11 11:14:44 UTC
Ok I uploaded some new icons and hope it will fix this issue.
Comment 7 Commit Notification 2017-08-11 14:15:29 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c69ebc21a85298169e714eba95cdd7288958902e&h=libreoffice-5-4

tdf#98315 Function Wizard showing Breeze icons when in Sifr theme

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-08-11 14:15:38 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f75f116a22480023aefa50ce6ec637a7e6d6f2e8

tdf#98315 Function Wizard showing Breeze icons when in Sifr theme

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-08-18 23:40:15 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ddf0d439d36686008b6de16d59c9a9068622f26c

tdf#98315 Function Wizard showing Breeze icons when in Sifr theme - SVG

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Thomas Lendo 2017-08-31 20:28:26 UTC
I still see Breeze icons in the functions wizard dialog and in the functions sidebar deck.

Version: 5.4.1.2
Build-ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 11 Papamatti 2017-08-31 21:15:11 UTC
Unfortunately this fix doesn't fix the issue, because of a missing link in the links.txt.

But a fix is underway...
Comment 12 Commit Notification 2017-09-01 01:30:44 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca208daed39c5d4614f5055e8d7860e6f2c0e2f6

tdf#98315 - Function Wizard showing Breeze icons when in Sifr theme

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-09-01 01:32:02 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edd00cef0bc9efe9e3e3f9b4e62e4ef22f778f6b&h=libreoffice-5-4

tdf#98315 - Function Wizard showing Breeze icons when in Sifr theme

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2017-10-02 07:56:23 UTC
A polite ping to Matthias Freund: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 15 Papamatti 2017-10-03 21:06:25 UTC
Ok, there was a missing link in the links.txt file.

I add now "formula/res/fx.png cmd/sc_dbviewfunctions.png" and uploaded it to master and cherrypick it for LO5.4 to hopefully fix this issue for future releases. Sorry for the delay.
Comment 16 Commit Notification 2017-10-04 03:21:12 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81fee9ab4c4630da4a3346958fba4df63ce5ef27

tdf#98315 Function Wizard showing Breeze icons when in Sifr theme

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2017-10-05 20:24:46 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc70f137cd853bc22281edb94f15ebe48da871e7&h=libreoffice-5-4

tdf#98315 Function Wizard showing Breeze icons when in Sifr theme

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.